function N=genere_rand_poisson_rapide(lambda)
%
% N=genere_rand_poisson_rapide(lambda);
%
% Cette fonction genere une variable aleatoire
% distribuee selon une loi de Poisson de parametre lambda si lambda < 10
% sinon, on fait du gaussien de moyenne lambda et de variance lambda
%
tau=1; % puisque genere_exponentiel est de parametre 1
%
T=lambda*tau;
%
if T<0
    N=0;
elseif T<10
    tsum=0;
    N=-1;
    %
    while tsum<=T
        N=N+1;
        %
        t=genere_rand_exponentiel;
        tsum=tsum+t;
        %
    end
else
    N=round(lambda+sqrt(lambda)*randn);
end