function plot_surf_discr_RN(Wj,Wk,nom_legend,couleur,num_fig)
%
% plot_surf_discr_RN(Wj,Wk,nom_legend,couleur,num_fig)
%

if nargin<=2
    nom_legend='RN';
end
if nargin<=3
    couleur='k';
end
if nargin<=4
    num_fig=1;
end
%
xlim=get(gca,'xlim');
ylim=get(gca,'ylim');
%
N=600;
vec_x=linspace(xlim(1),xlim(2),N);
vec_y=linspace(ylim(1),ylim(2),N);
%
[X,Y]=meshgrid(vec_x,vec_y);
%
Z=[X(:).';Y(:)'];
%
if size(Wk,2)==1
    nb_classe=2;
else
    nb_classe=size(Wk,2);
end
%
if size(Wj,1)==3
    choix_offset_CE=1;
elseif size(Wj,1)==2
    choix_offset_CE=0;
else
    disp('pb')
end
%
if size(Wj,2)==size(Wk,1)
    choix_offset_CC=0;
elseif size(Wj,2)==(size(Wk,1)-1)
    choix_offset_CC=1;
else
    disp('pb')
end
unique_dapp=1:nb_classe;
%
d_est_RN_gen=discriminateur_perceptron(Wj,Wk,Z,choix_offset_CE,choix_offset_CC,unique_dapp);
%
ima_classe=reshape(d_est_RN_gen,size(X,1),size(X,2));
%
figure(num_fig)
hold on
[~,h] = contour(vec_x,vec_y,ima_classe,1:nb_classe,couleur);
%
set(h,'LineWidth',2)
L=legend;
Legend=L.String;
Legend{length(get(gca,'Children'))}=nom_legend;
legend(Legend)
%
