function trace_droite(W,vec_num_fig)
%
% trace_droite(W);
%
if nargin==1
    vec_num_fig=0;
end
[N3,nb_droite]=size(W);
%
if (N3~=3)&&(N3~=2)
    disp('pb dans trace_droite')
    disp('pause')
    pause
end
%
for n=1:nb_droite
    w=W(:,n);
    if N3==3
        p=[-w(2)/w(3) -w(1)/w(3)];
    else
        p=[-w(1)/w(2) 0];
    end
    %
    for num_fig=vec_num_fig
        if num_fig>0
            figure(num_fig)
            %
            xlim=get(gca,'xlim');
            ylim=get(gca,'ylim');
            %
            y=polyval(p,xlim);
            %
            set(0,'DefaultLegendAutoUpdate','off')
            h=plot(xlim,y,'--k');
            set(h,'linewidth',2)
            set(gca,'xlim',xlim)
            set(gca,'ylim',ylim)
            %
        end
    end
end
