function w=discriminateur_PI(X,d)
%
% w=discriminateur_PI(X,d);
%
% entrees
%========
% X : matrice de taille NxP contenant P vecteur
% d : vecteur colonne de taille P
%
% sorties
%========
% w : vecteur colonne de taille N
%
d=d(:);
d(d~=1)=-1;

if size(X,1)<=size(X,2)
    w=(X*X.')\X*d;
else
    w=pinv(X*X.')*X*d;
end