function w=discriminateur_RA(X,d,sigma)
%
% w=discriminateur_RA(X,d,sigma);
%
% w=discriminateur_Hebb(X,d);
%
% entrees
%========
% X : matrice de taille NxP contenant P vecteur
% d : vecteur colonne de taille P
% sigma : parametre de regularisation 
%
% sorties
%========
% w : vecteur colonne de taille N
%
if nargin==2
    sigma=0;
end
%
[N,P]=size(X);
%
w=pinv(X*X.'+P*sigma^2*eye(N))*X*d;