function [Xapp,dapp,Xgen,dgen]=genere_base_max(N,Papp,Pgen)
%
% [Xapp,dapp,Xgen,dgen]=genere_base_max(N,Papp,Pgen);
%
% entrees
%========
% N : dimension de l'espace
% Papp : taille de la base d'apprentissage
% Pgen : taille de la base de gnralisation
%
% sorties
%========
% Xapp : matrice de taille NxPapp 
% dapp : vecteur colonne de taille Papp
% Xgen : matrice de taille NxPgen 
% dgen : vecteur colonne de taille Pgen


%
% generation de Papp vecteur aleatoires
%M=diag([ones(N-1,1);0.5]);
M=eye(N);
Xapp=M*randn(N,Papp);
%
% calcul de la classe de ces vecteurs
%[~,dapp]=max(abs(Xapp));
[~,dapp]=max(Xapp);
dapp=dapp(:).';
%
if nargout==2
    return
end
%
% generation de Papp vecteur aleatoires
Xgen=M*randn(N,Pgen);
%
% calcul de la classe de ces vecteurs
%[~,dgen]=max(abs(Xgen));
[~,dgen]=max(Xgen);
dgen=dgen(:).';
