function [Wj,Wk] = initialise_W(N,Nc,Ns,choix_offset_CE,choix_offset_CC)
%
% [Wj,Wk] = initialise_W(N,Nc,Ns,choix_offset_CE,choix_offset_CC)
%

%
% Initilisation des poids Wj et Wk (voir Duda)
%=================================
% Wj : matrice (n+1) x Nc
% poids qui relie les entrees X (N + 1 offset) aux neurones de la couche cachee
if choix_offset_CE==1
    Wj=2*(rand(N+1,Nc)-0.5)/sqrt(N);
else
    Wj=2*(rand(N,Nc)-0.5)/sqrt(N);
end
%
% Wk : matrice (Nc+1) x Ns : poids qui relie les neurones de la couche cache (+offset) aux neurones de sortie
%======================
if choix_offset_CC==1
    %Wk=[zeros(1,Ns);2*(rand(Nc,Ns)-0.5)/sqrt(Nc)];
    Wk=2*(rand(Nc+1,Ns)-0.5)/sqrt(Nc);
else
    Wk=2*(rand(Nc,Ns)-0.5)/sqrt(Nc);
end
end

