num_fig=num_fig+1;figure(num_fig);clf
%
a=linspace(min(vec_tau(:)),max(vec_tau(:)),35);
%a=0.1:0.03:1;

for c=1:length(Legend_plot_vec_Papp)
    nom=Legend_plot_vec_Papp{c};
    if strcmp(nom,'\tau_g^{\mu,\Gamma connus}')
        couleur='b';
    elseif strcmp(nom,'\tau_g^{FA,gaussien}')
        couleur='b';
    elseif strcmp(nom,'\tau_g^{FA,ampl. inconnue}')
        couleur='c';
    elseif strcmp(nom,'\tau_g^{lineaire}')
        couleur='m';
    elseif strcmp(nom,'\tau_g^{quadratique}')
        couleur='r';
    elseif strcmp(nom,'\tau_{app}^{RN}')
        couleur='g';
    elseif strcmp(nom,'\tau_g^{RN}')
        couleur='k';
    elseif strcmp(nom,'\tau_{app}^{RN,bis}')
        couleur='y';
    elseif strcmp(nom,'\tau_g^{RN,bis}')
        couleur='m';
    else
        disp('pas fini')
        disp('pause')
        pause
        1;
    end
    %h=errorbar(vec_Papp,vec_tau(c,:),vec_Delta_tau(c,:),['.' couleur]);
    b=hist(vec_tau(c,:),a);
    h=plot(a,b,couleur);set(h,'linewidth',2)
    set(gca,'FontSize',14)
    if c==1
        hold on
    end
    disp(['Ecart type empirique de ' nom ' = ' num2str(std(vec_tau(c,:)),2)])
    disp(['Moyenne empirique de sqrt(\tau_g(1-\tau_g)/P) ' nom ' = ' num2str(mean(vec_Delta_tau(c,:)),2)])
end
%
grid on
title(['Histogramme pour P_{app}=' num2str(Papp)])
L=legend(Legend_plot_vec_Papp);
set(gca,'fontsize',14)
%
% evoution du critere J en fonction des realisations
%
if choix_trace_critere_J_T==1
    if max(abs(std(mat_J)))>0.001
        num_fig=num_fig+1;figure(num_fig);clf
        %
        plot(mat_J')
        set(gca,'fontsize',14)
        xlabel('nb d''iterations')
        title([num2str(length(vec_Papp)) ...
            ' realisations du critere J du RN'])
    else
        disp('Apprentissage identique')
    end
else
    if max(abs(std(mat_J_ss)))>0.001
        num_fig=num_fig+1;figure(num_fig);clf
        %
        plot(mat_J_ss')
        set(gca,'fontsize',14)
        xlabel('nb de passes')
        title([num2str(length(vec_Papp)) ...
            ' realisations du critere J du RN'])
    end
end